petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSAdaptSetAlwaysAccept

Set whether to always accept steps regardless of any error or stability condition not meeting the prescribed goal.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetAlwaysAccept(TSAdapt adapt,PetscBool flag)

Logically collective on TSAdapt

### Input Arguments

| adapt | - time step adaptivity context, usually gotten with TSGetAdapt()
| flag | - whether to always accept steps

### Options Database Keys

-ts_adapt_always_accept -to always accept steps

### See Also

TSAdapt, TSAdaptChoose()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages